path: /build/build/wireguard-tools-net-vpn-1.0.20210914.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-selinux" emerge net-vpn/wireguard-tools -pv -t && \
    USE="-selinux" emerge -j ${JOBS} --nodeps net-vpn/wireguard-tools
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/wireguard-tools && luet-portage --dir
    /pkgdir/wireguard-tools net-vpn/wireguard-tools && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:3f78bf16e56bc1a68f3951225fed8d7b72ad0c8e78b2c9b927ac72cfc68723be
  package:
    name: wireguard-tools
    version: 1.0.20210914
    category: net-vpn
    use_flags:
    - -selinux
    requires:
    - name: macaroni-funtoo-race8
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Required tools for WireGuard, such as wg(8) and wg-quick(8)
    uri:
    - https://www.wireguard.com/
    license: GPL-2
    buildtimestamp: 2023-08-23 23:14:47.396206162 +0000 UTC m=+60.569656944
    labels:
      BDEPEND: virtual/pkgconfig virtual/pkgconfig
      IUSE: selinux kernel_linux
      RDEPEND: selinux? ( sec-policy/selinux-wireguard )
      emerge.packages: net-vpn/wireguard-tools
      kit: net-kit
      original.package.name: net-vpn/wireguard-tools
      original.package.slot: "0"
      original.package.version: 1.0.20210914-r1
    treedir: /build/packages
  package_dir: /pkgdir/wireguard-tools
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 4f9cd13c24413c9bec66c9dd0df063bfeab8746b0c4e35461cb0f7a8a60aef41
compressiontype: zstd
files:
- lib/systemd/system/wg-quick.target
- lib/systemd/system/wg-quick@.service
- usr/bin/wg
- usr/bin/wg-quick
- usr/share/bash-completion/completions/wg
- usr/share/bash-completion/completions/wg-quick
- usr/share/doc/wireguard-tools-1.0.20210914-r1/README.md.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/dns-hatchet/README.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/dns-hatchet/apply.sh.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/dns-hatchet/hatchet.bash.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/embeddable-wg-library/Makefile
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/embeddable-wg-library/README.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/embeddable-wg-library/test.c.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/embeddable-wg-library/wireguard.c.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/embeddable-wg-library/wireguard.h.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/external-tests/go/main.go.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/external-tests/haskell/Setup.hs
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/external-tests/haskell/package.yaml.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/external-tests/haskell/src/Data/Time/TAI64.hs.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/external-tests/haskell/src/Main.hs.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/external-tests/haskell/stack.yaml
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/external-tests/python/main.py.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/external-tests/rust/Cargo.toml.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/external-tests/rust/src/main.rs.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/extract-handshakes/Makefile.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/extract-handshakes/README.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/extract-handshakes/extract-handshakes.sh.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/extract-handshakes/offset-finder.c.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/extract-keys/Makefile.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/extract-keys/README.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/extract-keys/config.c.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/extract-keys/extract-keys.c.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/highlighter/Makefile.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/highlighter/README.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/highlighter/fuzz.c.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/highlighter/gui/highlight.cpp.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/highlighter/gui/highlight.pro
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/highlighter/highlight.c.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/highlighter/highlighter.c.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/highlighter/highlighter.h.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/json/README
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/json/wg-json.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/keygen-html/README.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/keygen-html/keygen.html
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/keygen-html/wireguard.js
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/launchd/README.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/launchd/com.wireguard.wg0.plist.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/nat-hole-punching/README.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/nat-hole-punching/nat-punch-client.c.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/nat-hole-punching/nat-punch-server.c.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/ncat-client-server/README.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/ncat-client-server/client-quick.sh.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/ncat-client-server/client.sh.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/ncat-client-server/server.sh.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/reresolve-dns/README.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/reresolve-dns/reresolve-dns.sh.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/sticky-sockets/README.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/sticky-sockets/sticky-sockets.c.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/synergy/README.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/synergy/synergy-client.sh.bz2
- usr/share/doc/wireguard-tools-1.0.20210914-r1/contrib/synergy/synergy-server.sh.bz2
- usr/share/man/man8/wg-quick.8.bz2
- usr/share/man/man8/wg.8.bz2
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/BDEPEND
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/BUILD_TIME
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/CATEGORY
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/CBUILD
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/CFLAGS
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/CHOST
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/CONTENTS
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/COUNTER
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/CXXFLAGS
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/DEFINED_PHASES
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/DESCRIPTION
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/EAPI
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/FEATURES
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/HOMEPAGE
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/INHERITED
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/IUSE
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/IUSE_EFFECTIVE
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/KEYWORDS
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/LDFLAGS
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/LICENSE
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/NEEDED
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/PF
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/REQUIRES
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/SIZE
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/SLOT
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/USE
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/environment.bz2
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/repository
- var/db/pkg/net-vpn/wireguard-tools-1.0.20210914-r1/wireguard-tools-1.0.20210914-r1.ebuild
package_cacheimage: ""
runtime:
  name: wireguard-tools
  version: 1.0.20210914
  category: net-vpn
  use_flags:
  - -selinux
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Required tools for WireGuard, such as wg(8) and wg-quick(8)
  uri:
  - https://www.wireguard.com/
  license: GPL-2
  labels:
    BDEPEND: virtual/pkgconfig virtual/pkgconfig
    IUSE: selinux kernel_linux
    RDEPEND: selinux? ( sec-policy/selinux-wireguard )
    emerge.packages: net-vpn/wireguard-tools
    kit: net-kit
    original.package.name: net-vpn/wireguard-tools
    original.package.slot: "0"
    original.package.version: 1.0.20210914-r1
